<?php   
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package luzuk Premium
 */
?>
<?php 
	if( get_theme_mod('sec_footerseTmargin',true) ) {
		$sec_footerseTmargin = 'padding-top:'.esc_attr(get_theme_mod('sec_footerseTmargin')).';';
	}
	if( get_theme_mod('sec_footersebottommargin',true) ) {
		$sec_footersebottommargin = 'padding-bottom:'.esc_attr(get_theme_mod('sec_footersebottommargin')).';';
	}
?>		
<footer class="footer-area" id="footer">
	<?php if(is_active_sidebar('luzuk-footer1') || is_active_sidebar('luzuk-footer2') || is_active_sidebar('luzuk-footer3') || is_active_sidebar('luzuk-footer4') || is_active_sidebar('luzuk-footer5') ){ ?>
		<div class="fbox"> 
			<div class="container">
				<div class="newsletter">	
					<div class="newsletterbx">
						<div class="row mr-0">
							<div class="f-logo">
								<a href="<?php echo esc_url( home_url( '/' ) ); ?>">
								<div class="f-logo-img">
									<?php 
										$f1lo_image = get_theme_mod('f1lo_image');
										if(!empty($f1lo_image)){
											echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($f1lo_image).'" class="img-responsive secondry-bg-img" />';
										}else{
											echo '<img src="'.get_template_directory_uri().'/images/logo.png" class="img-responsive" />';
										}
									?>						
								</div>
							</a>
							</div>
							<div class="f-frm">
								<?php
									$newsletter_title = get_theme_mod('newsletter_title', 'Subscribe To Our Newsletter');
									$f_inquiry_shortcode = get_theme_mod('f_inquiry_shortcode', '[Add Form shortcode]');
								?>
								<div class="row mr-0">
									<div class="col-lg-6 ">
										<h3><?php echo ($newsletter_title); ?></h3>
									</div>
									<div class="col-lg-6 ">
										<?php echo do_shortcode($f_inquiry_shortcode);?>
									</div>
								</div>
							</div>
						</div>
					</div>
					
				</div>
			</div>
			<div class="container">
				<div class="row mr-0"> 
					<!-- <div class="s-footer col-lg-4 col-md-3 col-sm-6 col-xs-12 single-footer-1 ">	 -->
					<div class="s-footer single-footer-1 ">
						<div class="single-footer wow zoomIn" data-wow-duration="1s">							
							<?php if(is_active_sidebar('luzuk-footer1')): 
								dynamic_sidebar('luzuk-footer1');
							endif;
							?>	
						</div>
					</div> 
					
					<div class="s-footer  single-footer-2 ">
						<div class="single-footer wow zoomIn" data-wow-duration="1.5s" >
							<?php if(is_active_sidebar('luzuk-footer2')): 
								dynamic_sidebar('luzuk-footer2');
							endif;
							?>	
						</div>
					</div>

					<div class="s-footer single-footer-3">
						<div class="single-footer wow zoomIn"  data-wow-duration="2s" >
							<?php if(is_active_sidebar('luzuk-footer3')): 
								dynamic_sidebar('luzuk-footer3');
							endif;
							?>	
						</div>
					</div>

					<div class="s-footer  single-footer-4" >
						<div class="single-footer wow zoomIn" data-wow-duration="2.5s" >
							<?php if(is_active_sidebar('luzuk-footer4')): 
								dynamic_sidebar('luzuk-footer4');
							endif;
							?>	
						</div>
					</div>

					<div class="s-footer  single-footer-5" >
						<div class="single-footer wow zoomIn" data-wow-duration="2.5s" >
							<?php if(is_active_sidebar('luzuk-footer5')): 
								dynamic_sidebar('luzuk-footer5');
							endif;
							?>	
						</div>
					</div>
				</div> 
			</div>
			<div class="clearfix"></div>
		</div>
		
	<?php } ?>

	<?php 

		if( get_theme_mod('sec_bottomareaTmargin',true) ) {
			$sec_bottomareaTmargin = 'padding-top:'.esc_attr(get_theme_mod('sec_bottomareaTmargin')).';';
		}
		if( get_theme_mod('sec_bottomareabottommargin',true) ) {
			$sec_bottomareabottommargin = 'padding-bottom:'.esc_attr(get_theme_mod('sec_bottomareabottommargin')).';';
		}
		
	?>		
		<?php 
		// Prevent direct access
		if ( ! defined( 'ABSPATH' ) ) {
			exit; // Exit if accessed directly
		}

		$footercopyright = '';
		if (function_exists('custom_theme_copyright')) {
			$footercopyright = custom_theme_copyright();
		}
 
	?>
		<div class="bottom-area wow zoomIn" style="<?php echo esc_attr($sec_bottomareaTmargin); ?>" "<?php echo esc_attr($sec_bottomareabottommargin); ?>">
			<!-- <div class="fb-oly"></div> -->
			<div class="container">
				<div class="row mr-0">
					<div class="col-md-12 col-sm-12 col-xs-12 pd-0">
						<div class="footer-text">
							<?php if($footercopyright){ ?>
									<?php echo $footercopyright;?>
							<?php } ?>
						</div>
					</div>
					
				</div>
			</div>
		</div>
		<div class="clearfix"></div>
</footer>

<script type="text/javascript">
	if(jQuery(window).width() >= 1170){
		new WOW().init();
	}
</script>

<script>
	$(window).scroll(function() {
		var height = $(window).scrollTop();
		if (height > 100) {
			$('#back2Top').fadeIn();
		} else {
			$('#back2Top').fadeOut();
		}
	});
	$(document).ready(function() {
		$("#back2Top").click(function(event) {
			event.preventDefault();
			$("html, body").animate({ scrollTop: 0 }, "slow");
			return false;
		});

	});
</script> 

<?php wp_footer(); ?>

	<!-- <a id="back2Top" title="Back to top" href="#"> &#10148; </a> -->

<div id="back2Top" title="Back to top" >
	<svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-building-wind-turbine" width="40" height="40" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
	   <path d="M12 11m-2 0a2 2 0 1 0 4 0a2 2 0 1 0 -4 0"></path>
	   <path d="M10 11v-2.573c0 -.18 .013 -.358 .04 -.536l.716 -4.828c.064 -.597 .597 -1.063 1.244 -1.063s1.18 .466 1.244 1.063l.716 4.828c.027 .178 .04 .357 .04 .536v2.573"></path>
	   <path d="M13.01 9.28l2.235 1.276c.156 .09 .305 .19 .446 .3l3.836 2.911c.487 .352 .624 1.04 .3 1.596c-.325 .556 -1 .782 -1.548 .541l-4.555 -1.68a3.624 3.624 0 0 1 -.486 -.231l-2.235 -1.277"></path>
	   <path d="M13 12.716l-2.236 1.277a3.624 3.624 0 0 1 -.485 .23l-4.555 1.681c-.551 .241 -1.223 .015 -1.548 -.54c-.324 -.557 -.187 -1.245 .3 -1.597l3.836 -2.91a3.41 3.41 0 0 1 .446 -.3l2.235 -1.277"></path>
	   <path d="M7 21h10"></path>
	   <path d="M10 21l1 -7"></path>
	   <path d="M13 14l1 7"></path>
	</svg>
	
</div>

</body>
</html>
