<?php

$wp_customize->add_panel(
	'luzuk_general_panel',
	array(
		'priority' => 19,
		'title' => __('General Configuration', 'luzuk Premium')
	)
);

//STATIC FRONT PAGE
$wp_customize->add_section( 'static_front_page', array(
	'title' => __( 'Static Front Page', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
	'description' => __( 'Your theme supports a static front page.', 'luzuk Premium'),
) );

//TITLE AND TAGLINE SETTINGS
$wp_customize->add_section( 'title_tagline', array(
	'title' => __( 'Site Logo/Title/Tagline', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
) );

// $wp_customize->add_setting(
//     'pages_logoTopsetmaxwidth',
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( '100', 'luzuk-premium' )
//     )
// );

// $wp_customize->add_control(
//     'pages_logoTopsetmaxwidth',
//     array(
//         'settings'      => 'pages_logoTopsetmaxwidth',
//         'section'       => 'title_tagline',
//         'type'          => 'text',
//         'label'         => __( 'Set Logo Max Width', 'luzuk-premium' )
//     )
// );


addColorPalatOption($wp_customize, 'header_SiteTitleClr', 'title_tagline', 'Title Color', '#D82828');

addColorPalatOption($wp_customize, 'header_SiteTaglineClr', 'title_tagline', 'Tagline Color', '#000');

addColorPalatOption($wp_customize, 'header_logobgClr', 'title_tagline', 'Logo BG Color', '#fff');


//BACKGROUND IMAGE
$wp_customize->add_section( 'background_image', array(
	'title' => __( 'Background Image Setting', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
) );

//Header IMAGE
$wp_customize->add_section( 'header_image', array(
	'title' => __( 'Header Image', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
) );


//HEADER SETTINGS
$wp_customize->add_section(
	'header_settings',
	array(
		'title' => __( 'Header Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

lzCustomLable($wp_customize, 'stickyheader_view', 'header_settings', 'Sticky Header Settings');
    //ENABLE/DISABLE STICKY HEADER
$wp_customize->add_setting(
    'luzuk_sticky_header_enable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);

$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'luzuk_sticky_header_enable',
        array(
            'settings'      => 'luzuk_sticky_header_enable',
            'section'       => 'header_settings',
            'label'         => __( 'Sticky Header', 'luzuk Premium' ),
            'on_off_label'  => array(
                'on' => __( 'Enable', 'luzuk-premium' ),
                'off' => __( 'Disable', 'luzuk-premium' )
            )   
        )
    )
);


$sectionHeader = 'header_settings';


lzCustomLable($wp_customize, 'pages_logosetmaxwidth5', 'title_tagline', 'Set Logo Width & Height');

$wp_customize->add_setting(
    'pages_logoTopsetmaxwidth',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '100%', 'luzuk-premium' )

    )
);

// logo width

$wp_customize->add_control(
    'pages_logoTopsetmaxwidth',
    array(
        'settings'      => 'pages_logoTopsetmaxwidth',
        'section'       => 'title_tagline',
        'type'          => 'range',
        'label'         => __( 'Width', 'luzuk-premium' )
    )
);

// logo height

$wp_customize->add_setting(
    'pages_logoTopsetmaxheight',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_logoTopsetmaxheight',
    array(
        'settings'      => 'pages_logoTopsetmaxheight',
        'section'       => 'title_tagline',
        'type'          => 'text',
        'label'         => __( 'Height ', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'luzuk_headerlogo_margin', 'header_settings', 'Logo Margin');

$wp_customize->add_setting(
    'logo_logoTmargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'logo_logoTmargin',
    array(
        'settings'      => 'logo_logoTmargin',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'logo_logoRmargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'logo_logoRmargin',
    array(
        'settings'      => 'logo_logoRmargin',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Right', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'logo_logoBmargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'logo_logoBmargin',
    array(
        'settings'      => 'logo_logoBmargin',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'logo_logoLmargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'logo_logoLmargin',
    array(
        'settings'      => 'logo_logoLmargin',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Left', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'header_RfootbalClr1', 'header_settings', 'Rotate Football Border Color 1', '#fff');

addColorPalatOption($wp_customize, 'header_RfootbalClr2', 'header_settings', 'Rotate Football Border Color 2', '#D82828');


lzCustomLable($wp_customize, 'header_MenuColorssettings', $sectionHeader, 'Navigation Color');


addColorPalatOption($wp_customize, 'header_innpagetopmenusClr', 'header_settings', 'Inner Page Menus Color', '#fff');

addColorPalatOption($wp_customize, 'header_topmenusbgClr', 'header_settings', 'Menus BG Color', '#D82828');

addColorPalatOption($wp_customize, 'header_topmenusColor', 'header_settings', 'Menus Color', '#fff');

addColorPalatOption($wp_customize, 'header_topmenushoverColor', 'header_settings', 'Menus Hover Color', '#a7a0a0');

addColorPalatOption($wp_customize, 'header_topmenusactiveColor', 'header_settings', 'Active Menus Color', '#a7a0a0');

addColorPalatOption($wp_customize, 'header_topsubmenusColor', 'header_settings', 'Header Sub Menus Color', '#000');

addColorPalatOption($wp_customize, 'header_topsubmenusbrdclr', 'header_settings', 'Header Sub Menus Border Color', '#f1f1f1');

addColorPalatOption($wp_customize, 'header_topsubmenushvrColor', 'header_settings', 'Sub Menus Hover & Sub Menus Active Color', '#D82828');

// addColorPalatOption($wp_customize, 'header_topsubmenushvbgColor', 'header_settings', 'Sub Menus Hover & Sub Menus Active BG Color', '#f1f1f1');

addColorPalatOption($wp_customize, 'header_submenusbgsscColor', 'header_settings', 'Dropdown Box BG Color', '#fff');


// Adding the Label
lzCustomLable($wp_customize, 'reservation_lblImgTxt', 'header_settings' , 'Header Button Settings');

// to show & hide another button
$wp_customize->add_setting( 'cds_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'cds_button_display', array( 'label' => 'Button Display', 'section' => 'header_settings', 'settings' => 'cds_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 
// end to show & hide button
$wp_customize->add_setting(
    'headerinquirytitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Contact Us' )
    )
);
$wp_customize->add_control(
    'headerinquirytitle',
    array(
        'settings'      => 'headerinquirytitle',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Header Button Text', 'luzuk-premium' )
    )
);
$wp_customize->add_setting('luzuk_header_headerinquiry',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('luzuk_header_headerinquiry',
    array(
        'settings'      => 'luzuk_header_headerinquiry',
        'section'       => 'header_settings',
        'type'          => 'url',
        'label'         => __( 'Add "Header Button" link here', 'luzuk-premium' )
    )
);


addColorPalatOption($wp_customize, 'header_btntxtClr', 'header_settings', 'Button Text Color', '#000');

addColorPalatOption($wp_customize, 'header_btntxthvClr', 'header_settings', 'Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'header_btnbgClr', 'header_settings', 'Button BG Color', '#fff');

addColorPalatOption($wp_customize, 'header_btnicnClr', 'header_settings', 'Button Icon  Color', '#fff');

addColorPalatOption($wp_customize, 'header_btnbghvClr', 'header_settings', 'Button Icon BG Color', '#000');


lzCustomLable($wp_customize, 'header_colorsfortabandmobview', $sectionHeader, 'Responsive Header Settings');

addColorPalatOption($wp_customize, 'header_topheadbgclr', 'header_settings', 'Top Header BG Color', '#000');

addColorPalatOption($wp_customize, 'header_respnavtoggbarbgssColor', 'header_settings', 'Toggle Bar Color', '#fff');

addColorPalatOption($wp_customize, 'header_respnavbsbgssColor', 'header_settings', ' Navigation Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'header_navigationrespnavbrssColor', 'header_settings', 'Menus Title Color', '#000');

addColorPalatOption($wp_customize, 'header_navigationrespnavmenuttlbgColor', 'header_settings', 'Menus Title BG Color', '#d5d5d5');

addColorPalatOption($wp_customize, 'header_navigationrespnavmenuColor', 'header_settings', 'Menus Color', '#fff');

addColorPalatOption($wp_customize, 'header_navigationrespnavmenubgColor', 'header_settings', 'Menus BG Color', '#000');  

//COLOR SETTINGS
$wp_customize->add_section( 'colors', array(
	'title' => __( 'Colors' , 'luzuk Premium'),
	'panel' => 'luzuk_general_panel',
) );

//theme primary color
addColorPalatOption($wp_customize, 'luzuk_template_color', 'colors', 'Theme Primary Color', '#D82828');

//theme Secondary color
addColorPalatOption($wp_customize, 'theme_secondary_color', 'colors', 'Theme Secondary Color', '#727272');

//lzCustomLable($wp_customize, 'luzuk_allpipediplay', 'colors', 'Pipe Setting');

lzCustomLable($wp_customize, 'luzuk_allinnerpagesec_colordisplaysettdisplay', 'colors', 'Inner Page Color');

lzCustomLable($wp_customize, 'innheadr_Overlay', 'colors', 'Header Overlay Color');

$wp_customize->add_setting(
    'innheadr_Opacity',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'innheadr_Opacity',
    array(
        'settings'      => 'innheadr_Opacity',
        'section'       => 'colors',
        'type'          => 'text',
        'label'         => __( 'Opacity', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_bgolyclr', 'colors', 'Inner Page Header Overlay Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_bgclr', 'colors', 'Inner Page Header BG Color', '#1d1b1b');

//addColorPalatOption($wp_customize, 'luzuk_template_innerpage_titlecolor', 'colors', 'Inner Page Header Title Color', '#fff'); 

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtext_color', 'colors', 'Inner Page Text Color', '#000');

addColorPalatOption($wp_customize, 'template_innerpage_productpageboldtextcolor', 'colors', 'Inner Product Page Bold Text Color', '#000');

addColorPalatOption($wp_customize, 'template_innerpage_cartpageproducttitlecolor', 'colors', 'Inner  Cart Page Product Title Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageproductprice_color', 'colors', 'Inner Page Product Selling Price Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageproductpricedel_color', 'colors', 'Inner Page Product Price Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageallothrtheadtextcolcolor_color', 'colors', 'Other Text Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageallothrtheadtextbgsscolcolor_color', 'colors', 'Other Fields BG Color', '#D82828');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinks_color', 'colors', 'Inner Page Links Color', '#000');



addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinkshvrs_color', 'colors', 'Inner Page Links Hover Color', '#ed9c9c');

addColorPalatOption($wp_customize, 'luzuk_innerpagemainss_iconClr', 'colors', 'Inner Page Icons , Icon Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_innerpagemainss_iconbgClr', 'colors', 'Inner Page Icons , Icon Bg Color', '#D82828');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinksicon_color', 'colors', 'Inner Page Icons , list Number Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinksiconbgssclr_color', 'colors', 'Inner Page list Number Border Color', '#D82828');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinksiconbgssclrbrd_color', 'colors', 'Inner Page list Number BG Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionsidebarborderrs_color', 'colors', 'Inner Page Sidebar & Text Field & Product Image Border Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagesblockquotebrd_color', 'colors', 'Inner Page Blockquote Border Color', '#D82828');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagesblockquote_color', 'colors', 'Inner Page Blockquote BG Color', '#fff');

addColorPalatOption($wp_customize, 'innerpage_blockquoteextClr', 'colors', 'Inner Page Blockquote Text Color', '#000');

addColorPalatOption($wp_customize, 'innerpage_blockquotciteClr', 'colors', 'Inner Page Blockquote Author BG Color', '#DA384A');

addColorPalatOption($wp_customize, 'innerpage_blockquotcitetxtClr', 'colors', 'Inner Page Blockquote Author Text Color', '#000');


lzCustomLable($wp_customize, 'luzuk_allinnerpagesec_pagination', 'colors', 'Pagination');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepagination_color', 'colors', 'Inner Page Pagination Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationbg_color', 'colors', 'Inner Page Pagination BG Color', '#f3f3f3');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationborder_color', 'colors', 'Inner Page Pagination Border Color', '#eaeaea');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationactive_color', 'colors', 'Inner Page Pagination Hover & Active Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationbgactive_color', 'colors', 'Inner Page Pagination BG Hover & Active Color', '#DA384A');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationborderactive_color', 'colors', 'Inner Page Pagination Border Hover & Active Color', '#DA384A');


lzCustomLable($wp_customize, 'luzuk_allinnerpagesec_sidebar', 'colors', 'Sidebar Color');


addColorPalatOption($wp_customize, 'template_innerpage_sibebrheadclr', 'colors', 'Sidebar Title & Icon Color', '#fff');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrheadbrdclr', 'colors', 'Sidebar Title & Icon Color', '#000');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrheadicnBGclr', 'colors', 'Sidebar Icon BG Color', '#000');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrheadbgclr', 'colors', 'Sidebar Title BG Color', '#D82828');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmbgclr', 'colors', 'Sidebar Menu BG Color', '#fff');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmtitleclr', 'colors', 'Sidebar Menu Title Color', '#000');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmtitlearrowclr', 'colors', 'Sidebar Menu Title Arrow Color', '#fff');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmtitlearrowbgclr', 'colors', 'Sidebar Menu Title Arrow BG Color', '#000');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmcurrnttitleclr', 'colors', 'Sidebar Current Menu Title Color', '#D82828');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinksicn_clr', 'colors', 'Inner Page Links Icon Color', '#DA384A');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmbtnicnclr', 'colors', 'Sidebar Search Form Button Icon Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagesidebardaytxt_color', 'colors', 'Inner Page Sidebar Calender Widgets Day Text Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagesidebardaybgsstxt_color', 'colors', 'Inner Page Sidebar Calender Widgets Day Text BG Color', '#777777');


lzCustomLable($wp_customize, 'luzuk_allinnerpagesec_colordisplaysettnavbackttoarrdisplay', 'colors', 'Navigation Back To Top Arrow');

addColorPalatOption($wp_customize, 'luzuk_backttoparrcbgclr', 'colors', 'Site Navigation Rocket Color', '#DA384A');

addColorPalatOption($wp_customize, 'luzuk_backttoparrcbghvclr', 'colors', 'Site Navigation Rocket Hover Color', '#ccc');


//BREADCRUMB SETTINGS
$wp_customize->add_section(
	'luzuk_breadcrumb_settings',
	array(
		'title' => __( 'Breadcrumb Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

//for breadcrumb to show & hide button

$wp_customize->add_setting( 'breadcrumb_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'breadcrumb_button_display', array( 'label' => 'Breadcrumb Display', 'section' => 'luzuk_breadcrumb_settings', 'settings' => 'breadcrumb_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 


$wp_customize->add_setting(
        'luzuk_breadcrumbhometxt',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Home', 'luzuk' )
        )
    );
    $wp_customize->add_control(
        'luzuk_breadcrumbhometxt',
        array(
            'settings'      => 'luzuk_breadcrumbhometxt',
            'section'       => 'luzuk_breadcrumb_settings',
            'type'          => 'text',
            'label'         => __( 'Add Breadcrumb Text Here', 'luzuk' )
        )
    );

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbbgclr', 'luzuk_breadcrumb_settings', 'Breadcrumb Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbtitlecolor', 'luzuk_breadcrumb_settings', 'Breadcrumb Box Current Title Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbcurrenttitlehovercolor', 'luzuk_breadcrumb_settings', 'Breadcrumb Box Title Hover Color', '#DA384A');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbcurrenttitlecolor', 'luzuk_breadcrumb_settings', 'Breadcrumb Box Title Color', '#000');


// end to show & hide button

//POSTPAGEDATE SETTINGS
$wp_customize->add_section(
	'luzuk_blogpage_settings',
	array(
		'title' => __( 'Blog Page Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

lzCustomLable($wp_customize, 'allblog_lblbuttonabtdisplay', 'luzuk_blogpage_settings', 'Post Date & Admin Display Setting');

$wp_customize->add_setting( 'postdate_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'postdate_button_display', array( 'label' => 'Post Date Display', 'section' => 'luzuk_blogpage_settings', 'settings' => 'postdate_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show ', 'hide' => 'Hide ', ), ) ); 

lzCustomLable($wp_customize, 'allblog_imgsize', 'luzuk_blogpage_settings', 'Post Image Size Setting');

$wp_customize->add_setting(
    'allblog_imgheight',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '274px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'allblog_imgheight',
    array(
        'settings'      => 'allblog_imgheight',
        'section'       => 'luzuk_blogpage_settings',
        'type'          => 'text',
        'label'         => __( 'Box Image Height', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'allblog_heading2label', 'luzuk_blogpage_settings', 'Post Heading Font Size Setting');

$wp_customize->add_setting(
    'blogpages_innerpageheading2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '22px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'blogpages_innerpageheading2',
    array(
        'settings'      => 'blogpages_innerpageheading2',
        'section'       => 'luzuk_blogpage_settings',
        'type'          => 'text',
        'label'         => __( 'Post Heading Font Size', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'blogpages_innerpageheadingweight',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '600', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'blogpages_innerpageheadingweight',
    array(
        'settings'      => 'blogpages_innerpageheadingweight',
        'section'       => 'luzuk_blogpage_settings',
        'type'          => 'text',
        'label'         => __( 'Post Heading Font Weight', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'blgtxtlimit',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '90', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'blgtxtlimit',
    array(
        'settings'      => 'blgtxtlimit',
        'section'       => 'luzuk_blogpage_settings',
        'type'          => 'text',
        'label'         => __( 'Box Text Limit', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'allblog_clr', 'luzuk_blogpage_settings', 'Color Setting');


addColorPalatOption($wp_customize, 'template_innerpage_blogdatebxbgclr', 'luzuk_blogpage_settings', 'Date Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'template_innerpage_blogdatebxbghvclr', 'luzuk_blogpage_settings', 'Date Box BG Hover Color', '#000');

addColorPalatOption($wp_customize, 'template_innerpage_blogdatebxbrdclr', 'luzuk_blogpage_settings', 'Date Box Border Color', '#000');

addColorPalatOption($wp_customize, 'template_innerpage_blogdatetxtclr', 'luzuk_blogpage_settings', 'Date Text Color', '#D82828');

addColorPalatOption($wp_customize, 'template_innerpage_blogbxbgclr', 'luzuk_blogpage_settings', 'Main Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'template_innerpage_blogttleclr', 'luzuk_blogpage_settings', 'Title Color', '#000');

addColorPalatOption($wp_customize, 'template_innerpage_blogtitlehvclr', 'luzuk_blogpage_settings', 'Title Hover Color', '#D82828');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogtextclr', 'luzuk_blogpage_settings', 'Text Color', '#707070');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogdatebgclr', 'luzuk_blogpage_settings', 'Author Box BG Color','#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogauthorbrdclr', 'luzuk_blogpage_settings', 'Author Box Border Color','#D82828');

addColorPalatOption($wp_customize, 'innerpage_blogicnclr', 'luzuk_blogpage_settings', 'Icon Color', '#D82828');

addColorPalatOption($wp_customize, 'innerpage_blogicnautrclr', 'luzuk_blogpage_settings', 'Text Color', '#000');

lzCustomLable($wp_customize, 'allblog_btndisplay', 'luzuk_blogpage_settings', 'Button Setting');


$wp_customize->add_setting(
    'blog_button2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Read More', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'blog_button2',
    array(
        'settings'      => 'blog_button2',
        'section'       => 'luzuk_blogpage_settings',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'innerpage_blogpgbtntxtclr', 'luzuk_blogpage_settings', 'Button Text Color', '#000');

addColorPalatOption($wp_customize, 'innerpage_blogpgbtntxthvclr', 'luzuk_blogpage_settings', 'Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'innerpage_blogpgbtntxtbgclr', 'luzuk_blogpage_settings', 'Button Text BG Color', '#fff');

addColorPalatOption($wp_customize, 'innerpage_blogpgbtnicnclr', 'luzuk_blogpage_settings', 'Button Icon Color', '#fff');

addColorPalatOption($wp_customize, 'innerpage_blogpgbtnicnbgclr', 'luzuk_blogpage_settings', 'Button Icon BG Color', '#D82828');



//FOOTER COPYRIGHT SETTINGS
$wp_customize->add_section(
	'footer_area',
	array(
		'title' => __( 'Footer Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

backgroundManager($wp_customize, 'footer', 'footer_area', $color='#000', get_template_directory_uri().'/images/default.png', 'img');

lzCustomLable($wp_customize, 'footer_areaPadding', 'footer_area', 'Footer Padding');

$wp_customize->add_setting(
    'sec_footerseTmargin', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_footerseTmargin',
    array(
        'settings'      => 'sec_footerseTmargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'sec_footersebottommargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_footersebottommargin',
    array(
        'settings'      => 'sec_footersebottommargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'footer_areabottomfPadding', 'footer_area', 'Copyright Text Box Padding');

$wp_customize->add_setting(
    'sec_bottomareaTmargin', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1.5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_bottomareaTmargin',
    array(
        'settings'      => 'sec_bottomareaTmargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'sec_bottomareabottommargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_bottomareabottommargin',
    array(
        'settings'      => 'sec_bottomareabottommargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'f_news_letter', 'footer_area', 'Newsletter Form');

$wp_customize->add_setting(
    'f1lo_imagetitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'f1lo_imagetitle',
        array(
            'settings'      => 'f1lo_imagetitle',
            'section'       => 'footer_area',
            'label'         => __( 'Logo Image', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_setting(
    'f1lo_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'f1lo_image',
        array(
            'section' => 'footer_area',
            'settings' => 'f1lo_image',
            'description' => __('Recommended Image Size: 190X90', 'luzuk-premium')
        )
    )
);

addColorPalatOption($wp_customize, 'footerarea_newsimgbgclr', 'footer_area', 'Newsletter Logo BG Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_newsballbrdclr1', 'footer_area', 'Newsletter Ball Border Color 1', '#fff');

addColorPalatOption($wp_customize, 'footerarea_newsballbrdclr2', 'footer_area', 'Newsletter Ball Border Color 2', '#D82828');

$wp_customize->add_setting(
    'newsletter_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Subscribe To Our Newsletter', 'luzuk Premium' )
    )
);
$wp_customize->add_control(
    'newsletter_title',
    array(
        'settings'      => 'newsletter_title',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Newsletter Title', 'luzuk Premium' )
    )
);

addColorPalatOption($wp_customize, 'footerarea_newstitlclr', 'footer_area', 'Newsletter Title Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_newsbgclr', 'footer_area', 'Newsletter Form Bg Color', '#D82828');

lzAddElement($wp_customize, 'f_inquiry_shortcode', 'footer_area', 'textarea', $label="Form Shortcode", 'luzuk_sanitize_text', '[your shortcode]');


lzCustomLable($wp_customize, 'footer_copytext', 'footer_area', 'Footer Copyright Text');

$wp_customize->add_setting(
    'footer_area_copyrighttext',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '© 2021 – 2023 Football Club All Rights Reserved.', 'luzuk Premium' )
    )
);
$wp_customize->add_control(
    'footer_area_copyrighttext',
    array(
        'settings'      => 'footer_area_copyrighttext',
        'section'       => 'footer_area',
        'type'          => 'textarea',
        'label'         => __( 'Footer Copyright Text', 'luzuk Premium' )
    )
);


// Footer  Color
lzCustomLable($wp_customize, 'footer_allcolor', 'footer_area', 'Footer Color');

addColorPalatOption($wp_customize, 'footerarea_brdclr', 'footer_area', 'Border Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_title_color', 'footer_area', 'Title Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_text_color', 'footer_area', 'Text Color', '#b9b9b9');

addColorPalatOption($wp_customize, 'footerarea_icon_color', 'footer_area', 'Icon Color', '#DA384A');

//addColorPalatOption($wp_customize, 'footerarea_siconbrd_clr', 'footer_area', 'Social Icon Border Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_sicon_color', 'footer_area', 'Social Icon Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_siconbghv_clr', 'footer_area', 'Social Icon Hover Color', '#D82828');

addColorPalatOption($wp_customize, 'footerarea_menuicn_color', 'footer_area', 'Menu Icon Color', '#DA384A');

addColorPalatOption($wp_customize, 'footerarea_menu_color', 'footer_area', 'Menu Color', '#b9b9b9');

addColorPalatOption($wp_customize, 'footerarea_menuhover_color', 'footer_area', 'Menu Hover Color', '#DA384A');

addColorPalatOption($wp_customize, 'footerarea_activemenu_color', 'footer_area', 'Active Menu Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_datext_color', 'footer_area', 'Date Text Color', '#fff');

addColorPalatOption($wp_customize, 'FooterAreatabgColor', 'footer_area', 'Form Text BG Color', '#fff');

addColorPalatOption($wp_customize, 'FooterAreata_brdClr', 'footer_area', 'Form Border Color', '#000');

addColorPalatOption($wp_customize, 'footerarea_formtextlabel_color', 'footer_area', 'Label Color', '#ff9797');

addColorPalatOption($wp_customize, 'footerarea_formtext_color', 'footer_area', 'Form Text & Placeholder Text Color', '#000');

addColorPalatOption($wp_customize, 'footerarea_formbuttontext_clr', 'footer_area', 'Form Button Text Color', '#000');

addColorPalatOption($wp_customize, 'footerarea_formbtntxthv_clr', 'footer_area', 'Form Text Hover Color', '#D82828');

addColorPalatOption($wp_customize, 'footerarea_formbuttonbg_clr', 'footer_area', 'Form Button BG Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_formbuttonbrd_clr', 'footer_area', 'Form Button Border Color', '#000');

//SHOP PAGE SIDEBAR SETTINGS
$wp_customize->add_section(
	'luzuk_shopsidebar_settings',
	array(
		'title' => __( 'Shop Page Sidebar Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

// to show & hide button
$wp_customize->add_setting( 'cd_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'cd_button_display', array( 'label' => 'Shop Sidebar Display', 'section' => 'luzuk_shopsidebar_settings', 'settings' => 'cd_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 
// end to show & hide button

$wp_customize->add_section(
	'luzuk_innerpageshortcode_page_settings',
	array(
		'title' => __( 'Color Setting For Shortcode Pages', 'luzuk-premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

lzCustomLable($wp_customize, 'luzuk_servicepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Services Shortcode Page Colors'); 

lzCustomLable($wp_customize, 'luzuk_servicepagelable', 'luzuk_innerpageshortcode_page_settings', 'Note: Set Services Page Images Of Equal Height 340*300.');

$wp_customize->add_setting(
    'serinnpg_imgheight',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '250px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'serinnpg_imgheight',
    array(
        'settings'      => 'serinnpg_imgheight',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Box Image Height', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'sertxtlimit',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '90', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sertxtlimit',
    array(
        'settings'      => 'sertxtlimit',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Box Text Limit', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_InnSerimghvClr', 'luzuk_innerpageshortcode_page_settings', 'Image Hover Color', '#D82828');

addColorPalatOption($wp_customize, 'luzuk_InnSerbrdClr', 'luzuk_innerpageshortcode_page_settings', 'Border Color', '#b9b9b9');

addColorPalatOption($wp_customize, 'luzuk_InnSerTitleClr', 'luzuk_innerpageshortcode_page_settings', 'Title Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_InnSerTextClr', 'luzuk_innerpageshortcode_page_settings', 'Text Color', '#707070');

$wp_customize->add_setting(
    'ser_button2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Read More', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'ser_button2',
    array(
        'settings'      => 'ser_button2',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'luzuk-premium' )
    )
);


addColorPalatOption($wp_customize, 'luzuk_InnSerbtnClr', 'luzuk_innerpageshortcode_page_settings', 'Button Text Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_InnSerbtnicnhvClr', 'luzuk_innerpageshortcode_page_settings', 'Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_InnSerbtnbgClr', 'luzuk_innerpageshortcode_page_settings', 'Button BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_InnSerbtnicnClr', 'luzuk_innerpageshortcode_page_settings', 'Button Icon Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_InnSerbtnbghvClr', 'luzuk_innerpageshortcode_page_settings', 'Button Icon BG Color', '#D82828');



lzCustomLable($wp_customize, 'luzuk_coursepgdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Courses Shortcode Page Colors'); 

lzCustomLable($wp_customize, 'luzuk_coursepagelable', 'luzuk_innerpageshortcode_page_settings', 'Note: Set Courses Page Images Of Equal Height 340*270.');


$wp_customize->add_setting(
    'courseinnpg_imgheight',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '270px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'courseinnpg_imgheight',
    array(
        'settings'      => 'courseinnpg_imgheight',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Box Image Height', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'inncoursetxtlimit',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '100', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'inncoursetxtlimit',
    array(
        'settings'      => 'inncoursetxtlimit',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Box Text Limit', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'inncours_bxbgclr', 'luzuk_innerpageshortcode_page_settings', 'Box Color', '#fff');

addColorPalatOption($wp_customize, 'inncourses_sttxtclr', 'luzuk_innerpageshortcode_page_settings', 'Price Color', '#fff');

addColorPalatOption($wp_customize, 'inncours_bximgbrdclr', 'luzuk_innerpageshortcode_page_settings', 'Price BG Color', '#D82828');

addColorPalatOption($wp_customize, 'inncours_bximghvbrdclr', 'luzuk_innerpageshortcode_page_settings', 'Price BG Hover Color', '#000');

addColorPalatOption($wp_customize, 'inncours_titlclr', 'luzuk_innerpageshortcode_page_settings', 'Title Color', '#000');

addColorPalatOption($wp_customize, 'courses_titlhvclr', 'luzuk_innerpageshortcode_page_settings', 'Title Hover Color', '#D82828');

addColorPalatOption($wp_customize, 'inncours_txtclr', 'luzuk_innerpageshortcode_page_settings', 'Text Color', '#707070');

$wp_customize->add_setting(
    'course_button2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Read More', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'course_button2',
    array(
        'settings'      => 'course_button2',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'luzuk-premium' )
    )
);


addColorPalatOption($wp_customize, 'inncourses_btnClr', 'luzuk_innerpageshortcode_page_settings', 'Button Text & Icon Color', '#000');

addColorPalatOption($wp_customize, 'inncourses_btnicnhvClr', 'luzuk_innerpageshortcode_page_settings', 'Button Text Hover Color', '#D82828');


// end corses

lzCustomLable($wp_customize, 'luzuk_evetpglrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Events Shortcode Page Colors'); 

lzCustomLable($wp_customize, 'luzuk_evetpglable', 'luzuk_innerpageshortcode_page_settings', 'Note: Set Events Page Images Of Equal Height 300*290.');

$wp_customize->add_setting(
    'evetpg_imgheight',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '270px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'evetpg_imgheight',
    array(
        'settings'      => 'evetpg_imgheight',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Box Image Height', 'luzuk-premium' )
    )
);

// $wp_customize->add_setting(
//     'eventtxtlimit',
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( '70', 'luzuk-premium' )
//     )
// );
// $wp_customize->add_control(
//     'eventtxtlimit',
//     array(
//         'settings'      => 'eventtxtlimit',
//         'section'       => 'luzuk_innerpageshortcode_page_settings',
//         'type'          => 'text',
//         'label'         => __( 'Box Text Limit', 'luzuk-premium' )
//     )
// );

addColorPalatOption($wp_customize, 'pages_Innevenimghvclr', 'luzuk_innerpageshortcode_page_settings', 'Box Image Hover Color', '#000');

addColorPalatOption($wp_customize, 'pages_Innevendatebxbgclr', 'luzuk_innerpageshortcode_page_settings', 'Date Box BG Color', '#000');

addColorPalatOption($wp_customize, 'pages_Innevendatebxbrdclr', 'luzuk_innerpageshortcode_page_settings', 'Date Box Border Color', '#fff');

addColorPalatOption($wp_customize, 'pages_Innevendateclr', 'luzuk_innerpageshortcode_page_settings', 'Box Date Color', '#fff');

addColorPalatOption($wp_customize, 'pages_Inneventitleclr', 'luzuk_innerpageshortcode_page_settings', 'Box Title Color', '#000');

addColorPalatOption($wp_customize, 'pages_Inneventitlehvclr', 'luzuk_innerpageshortcode_page_settings', 'Box Title Hover Color', '#E3394D');

//addColorPalatOption($wp_customize, 'pages_Inneventxtclr', 'luzuk_innerpageshortcode_page_settings', 'Box Text Color', '#807b7b');

// lzCustomLable($wp_customize, 'luzuk_projectpageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Project Shortcode Page Colors'); 

// lzCustomLable($wp_customize, 'luzuk_projectpagelable', 'luzuk_innerpageshortcode_page_settings', 'Note: Set Project Page Images Of Equal Height 300*350.');

// $wp_customize->add_setting(
//     'project_imgheight',
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( '283px', 'luzuk-premium' )
//     )
// );
// $wp_customize->add_control(
//     'project_imgheight',
//     array(
//         'settings'      => 'project_imgheight',
//         'section'       => 'luzuk_innerpageshortcode_page_settings',
//         'type'          => 'text',
//         'label'         => __( 'Box Image Height', 'luzuk-premium' )
//     )
// );

// addColorPalatOption($wp_customize, 'pages_Innprojectimghvclr', 'luzuk_innerpageshortcode_page_settings', 'Image Hover Color', '#F4B504');

// addColorPalatOption($wp_customize, 'pages_Innprojecttitlbgclr', 'luzuk_innerpageshortcode_page_settings', 'Title BG Color', '#111944');

// addColorPalatOption($wp_customize, 'pages_Innprojecttitlclr', 'luzuk_innerpageshortcode_page_settings', 'Title Color', '#fff');



lzCustomLable($wp_customize, 'luzuk_teaminnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Team Shortcode Page Colors');

lzCustomLable($wp_customize, 'luzuk_teampagelable', 'luzuk_innerpageshortcode_page_settings', 'Note: Set Team Member Images Of Equal Height.{300*374}');

addColorPalatOption($wp_customize, 'pages_InnTeamimgolyshpeClr', 'luzuk_innerpageshortcode_page_settings', 'Image Overlay Shape Color', '#000');

addColorPalatOption($wp_customize, 'pages_InnTeamimgolyClr2', 'luzuk_innerpageshortcode_page_settings', 'Image Overlay Bottom Color', '#D82828');

addColorPalatOption($wp_customize, 'pages_InnTeamNameClr', 'luzuk_innerpageshortcode_page_settings', 'Member Name Color', '#fff');

addColorPalatOption($wp_customize, 'pages_InnTmDesiClr', 'luzuk_innerpageshortcode_page_settings', 'Member Designation Color', '#fff');


addColorPalatOption($wp_customize, 'pages_InnerTeamsocialsClr', 'luzuk_innerpageshortcode_page_settings', 'Social Icon Color', '#fff');

addColorPalatOption($wp_customize, 'pages_InnerTeambxbgClr', 'luzuk_innerpageshortcode_page_settings', 'Social Icon BG Color', '#000');

addColorPalatOption($wp_customize, 'pages_InnerTeamsocialsicnhvbgClr', 'luzuk_innerpageshortcode_page_settings', 'Social Icon BG Hover Color', '#D82828');



lzCustomLable($wp_customize, 'luzuk_testimonialinnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Testimonial Shortcode Page Colors');

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_bxbrdclr', 'luzuk_innerpageshortcode_page_settings', 'Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_bxbgclr', 'luzuk_innerpageshortcode_page_settings', 'Box Border Color', '#D82828');

addColorPalatOption($wp_customize, 'luzuk_innerTs_icnclr', 'luzuk_innerpageshortcode_page_settings', 'Icon Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_innerTs_textclr', 'luzuk_innerpageshortcode_page_settings', 'Text Color', '#707070');

addColorPalatOption($wp_customize, 'luzuk_innertesi_Nameclr', 'luzuk_innerpageshortcode_page_settings', 'Client Name Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_innertesti_postionclr', 'luzuk_innerpageshortcode_page_settings', 'Client Designation Color', '#000');




 
lzCustomLable($wp_customize, 'luzuk_galleryinnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Gallery Shortcode Page Colors');

lzCustomLable($wp_customize, 'luzuk_galleryinnerpagegallresclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Note: Kindly Use Gallery Image Of Same Resolution. Recomended Image Size Is 450x450px');

$wp_customize->add_setting(
    'gallinnpg_imgheight',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '300px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'gallinnpg_imgheight',
    array(
        'settings'      => 'gallinnpg_imgheight',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Image Height', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_gallinntileClr', 'luzuk_innerpageshortcode_page_settings', 'Title Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_gallinntilebgClr', 'luzuk_innerpageshortcode_page_settings', 'Title BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_gallinntilebrdClr', 'luzuk_innerpageshortcode_page_settings', 'Title Border Color', '#fff');
 
lzCustomLable($wp_customize, 'luzuk_faqinnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Faq Shortcode Page Colors');

$wp_customize->add_setting(
    'faqimg_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'faqimg_image',
        array(
            'section' => 'luzuk_innerpageshortcode_page_settings',
            'settings' => 'faqimg_image',
            'description' => __('Recommended Image Size: 740X544', 'luzuk-premium')
        )
    )
);



addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleIconColor', 'luzuk_innerpageshortcode_page_settings', 'Question Icon Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleIcnBGClr', 'luzuk_innerpageshortcode_page_settings', 'Question Icon BG Color', '#D82828');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleIconbrdClr', 'luzuk_innerpageshortcode_page_settings', 'Question Icon Border Color', '#fff');

//addColorPalatOption($wp_customize, 'luzuk_faqinnactIcnClr', 'luzuk_innerpageshortcode_page_settings', 'Select Question Active Icon Color', '#180360');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleColor', 'luzuk_innerpageshortcode_page_settings', 'Select Question Text Color', '#fff');

//addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitlehvColor', 'luzuk_innerpageshortcode_page_settings', 'Select Question Text Hover Color', '#48517a');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleboxbgColor', 'luzuk_innerpageshortcode_page_settings', 'Question Box BG Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleboxbghvColor1', 'luzuk_innerpageshortcode_page_settings', 'Question Box BG Active Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetexbgClr', 'luzuk_innerpageshortcode_page_settings', 'Select Answer Text BG Color', '#504D4D');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetextcColor', 'luzuk_innerpageshortcode_page_settings', 'Select Answer Text Color', '#fff');


$wp_customize->add_section(
	'luzuk_innerpagefont_settings',
	array(
		'title' => __( 'Inner Page Settings', 'luzuk-premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

lzCustomLable($wp_customize, 'luzuk_innerpage_titlepaddset', 'luzuk_innerpagefont_settings', ' Set Inner Header Padding');


$wp_customize->add_setting(
    'inner_headertitleboxTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '14em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'inner_headertitleboxTpadding',
    array(
        'settings'      => 'inner_headertitleboxTpadding',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'inner_headertitleboxBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'inner_headertitleboxBpadding',
    array(
        'settings'      => 'inner_headertitleboxBpadding',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

// 
// lzCustomLable($wp_customize, 'luzuk_innerheadertitle_fontsizeset', 'luzuk_innerpagefont_settings', ' Inner Page Title Font Size');

// $wp_customize->add_setting(
//     'pages_innerheadertitle',
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( '49px', 'luzuk-premium' )
//     )
// );
// $wp_customize->add_control(
//     'pages_innerheadertitle',
//     array(
//         'settings'      => 'pages_innerheadertitle',
//         'section'       => 'luzuk_innerpagefont_settings',
//         'type'          => 'text',
//         'label'         => __( 'Inner Header Title Font Size', 'luzuk-premium' )
//     )
// );

// $wp_customize->add_setting(
//     'pages_innerheadertitleweight',
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( '500', 'luzuk-premium' )
//     )
// );
// $wp_customize->add_control(
//     'pages_innerheadertitleweight',
//     array(
//         'settings'      => 'pages_innerheadertitleweight',
//         'section'       => 'luzuk_innerpagefont_settings',
//         'type'          => 'text',
//         'label'         => __( 'Inner Header Title Font Weight', 'luzuk-premium' )
//     )
// );
// 

lzCustomLable($wp_customize, 'luzuk_innerpageh1_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 1');

$wp_customize->add_setting(
	'pages_innerpageheading1',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '32px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading1',
	array(
		'settings'      => 'pages_innerpageheading1',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 1 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
    'pages_innerpageheadingweight1',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '600', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheadingweight1',
    array(
        'settings'      => 'pages_innerpageheadingweight1',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 1 Font Weight', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading1_color', 'luzuk_innerpagefont_settings', 'Heading 1 Color', '#000');

lzCustomLable($wp_customize, 'luzuk_innerpageh2_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 2');


$wp_customize->add_setting(
	'pages_innerpageheading2',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '28px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading2',
	array(
		'settings'      => 'pages_innerpageheading2',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 2 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
    'pages_innerpageheadingweight2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '600', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheadingweight2',
    array(
        'settings'      => 'pages_innerpageheadingweight2',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 2 Font Weight', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading2_color', 'luzuk_innerpagefont_settings', 'Heading 2 Color', '#000');

 
lzCustomLable($wp_customize, 'luzuk_innerpageh3_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 3');

$wp_customize->add_setting(
	'pages_innerpageheading3',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '24px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading3',
	array(
		'settings'      => 'pages_innerpageheading3',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 3 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
    'pages_innerpageheadingweight3',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '600', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheadingweight3',
    array(
        'settings'      => 'pages_innerpageheadingweight3',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 3 Font Weight', 'luzuk-premium' )
    )
);


addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading3_color', 'luzuk_innerpagefont_settings', 'Heading 3 Color', '#000');


lzCustomLable($wp_customize, 'luzuk_innerpageh4_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 4');


$wp_customize->add_setting(
	'pages_innerpageheading4',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '20px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading4',
	array(
		'settings'      => 'pages_innerpageheading4',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 4 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
    'pages_innerpageheadingweight4',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '500', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheadingweight4',
    array(
        'settings'      => 'pages_innerpageheadingweight4',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 4 Font Weight', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading4_color', 'luzuk_innerpagefont_settings', 'Heading 4 Color', '#000');

lzCustomLable($wp_customize, 'luzuk_innerpageh5_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 5');

$wp_customize->add_setting(
	'pages_innerpageheading5',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '17px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading5',
	array(
		'settings'      => 'pages_innerpageheading5',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 5 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
    'pages_innerpageheadingweight5',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '500', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheadingweight5',
    array(
        'settings'      => 'pages_innerpageheadingweight5',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 5 Font Weight', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading5_color', 'luzuk_innerpagefont_settings', 'Heading 5 Color', '#000');

lzCustomLable($wp_customize, 'luzuk_innerpageh6_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 6');


$wp_customize->add_setting(
	'pages_innerpageheading6',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '16px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading6',
	array(
		'settings'      => 'pages_innerpageheading6',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 6 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
    'pages_innerpageheadingweight6',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '500', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheadingweight6',
    array(
        'settings'      => 'pages_innerpageheadingweight6',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 6 Font Weight', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading6_color', 'luzuk_innerpagefont_settings', 'Heading 6 Color', '#000');

lzCustomLable($wp_customize, 'luzuk_innerpageextrahheading', 'luzuk_innerpagefont_settings', ' Heading Extra Color');
lzCustomLable($wp_customize, 'luzuk_servicepagelable', 'luzuk_innerpagefont_settings', 'Note: Bold = Use <b></b> Tag & Heihlight = Use <span></span> Tag');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheadingbold_clr', 'luzuk_innerpagefont_settings', 'Heading / Text Bold Color', '#ed9c9c');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheadinghigh_clr', 'luzuk_innerpagefont_settings', 'Heading / Text Highlight Color', '#DA384A');

lzCustomLable($wp_customize, 'luzuk_innerpagebulletpoint', 'luzuk_innerpagefont_settings', ' Font Awesome Icon Setting');


$wp_customize->add_setting(
    'bulletpointicon',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '\f105', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'bulletpointicon',
    array(
        'settings'      => 'bulletpointicon',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Add Font Awesome Icon 4.7', 'luzuk-premium' )
    )
);