<?php 
    $wp_customize->add_section(
        'about_area',
        array(
            'title' => __( 'About Us Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'about_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'about_area_disable',
            array(
                'settings'      => 'about_area_disable',
                'section'       => 'about_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'aboutus', 'about_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'aboutarea_padding', 'about_area', 'Section Padding');

$wp_customize->add_setting(
    'about_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaTpadding',
    array(
        'settings'      => 'about_areaTpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'about_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaBpadding',
    array(
        'settings'      => 'about_areaBpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);



lzCustomLable($wp_customize, 'aboutarea_rightclr', 'about_area', 'Section Left Side');

$wp_customize->add_setting(
    'about_image_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_image_heading',
        array(
            'settings'      => 'about_image_heading',
            'section'       => 'about_area',
            'label'         => __( 'Section Image', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_setting(
    'about_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'about_image',
        array(
            'section' => 'about_area',
            'settings' => 'about_image',
            'description' => __('Recommended Image Size: 540X595', 'luzuk-premium')
        )
    )
);

$wp_customize->add_setting('aboutus_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'aboutus_npp_heading',
        array(
            'settings'      => 'aboutus_npp_heading',
            'section'       => 'about_area',
            'label'         => __( 'Number Of About Plans', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('aboutus_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 3));
$wp_customize->add_control(
    'aboutus_npp_count',
    array(
        'settings'      => 'aboutus_npp_count',
        'section'       => 'about_area',
        'type'          => 'select',
        'label'         => __( 'Number Of About Plan To Show', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4)
    )
);

//ABOUT PAGES
for( $i = 1; $i <= 4; $i++ ){
    $wp_customize->add_setting(
        'aboutus_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'aboutus_header'.$i,
            array(
                'settings'      => 'aboutus_header'.$i,
                'section'       => 'about_area',
                'label'         => __( 'About Plan ', 'luzuk-premium' ).$i
            )
        )
    );

//lzAddImageElement($wp_customize, 'aboutus_page_icon'.$i, 'about_area', $label="Recommended Image Size: 150X150px");

     $wp_customize->add_setting(
        'aboutus_page_icon'.$i,
        array(
            'default'           => 'fa fa-database',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'aboutus_page_icon'.$i,
            array(
                'settings'      => 'aboutus_page_icon'.$i,
                'section'       => 'about_area',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
            )
        )
    );

lzAddElement($wp_customize, 'aboutus_page_title'.$i, 'about_area', $type = 'text', $label="Title", $callback ='luzuk_sanitize_text', $default='Data Analysis and Technology');

lzAddElement($wp_customize, 'aboutus_page_txt'.$i, 'about_area', $type = 'textarea', $label="Text", $callback ='luzuk_sanitize_text', $default='Nunc porta pellentesque nunc vitae dictum. Donec non orci id tellus.');

}

lzCustomLable($wp_customize, 'Sec_abt1stclor', 'about_area' , 'About Plan Box 1st Color');

addColorPalatOption($wp_customize, 'about_bx1BG', 'about_area', 'Box 1st BG Color', '#fff');

addColorPalatOption($wp_customize, 'about_bx1Brd', 'about_area', 'Box 1st Border Color', '#9B9A9A');

addColorPalatOption($wp_customize, 'about_bx1icn', 'about_area', 'Box 1st Icon Color', '#D82828');

addColorPalatOption($wp_customize, 'about_bx1icnhv', 'about_area', 'Box 1st Icon Hover Color', '#000');

addColorPalatOption($wp_customize, 'about_bx1icntitle', 'about_area', 'Box 1st Icon Title Color', '#000');

addColorPalatOption($wp_customize, 'about_bx1icntxt', 'about_area', 'Box 1st Icon Text Color', '#707070');


lzCustomLable($wp_customize, 'Sec_abt2ndclor', 'about_area' , 'About Plan Box 2nd Color');

addColorPalatOption($wp_customize, 'about_bx2BG', 'about_area', 'Box 2nd BG Color', '#000');

addColorPalatOption($wp_customize, 'about_bx2Brd', 'about_area', 'Box 2nd Border Color', '#000');

addColorPalatOption($wp_customize, 'about_bx2icn', 'about_area', 'Box 2nd Icon Color', '#D82828');

addColorPalatOption($wp_customize, 'about_bx2icnhv', 'about_area', 'Box 2nd Icon Hover Color', '#fff');

addColorPalatOption($wp_customize, 'about_bx2icntitle', 'about_area', 'Box 2nd Icon Title Color', '#fff');

addColorPalatOption($wp_customize, 'about_bx2icntxt', 'about_area', 'Box 2nd Icon Text Color', '#b9b9b9');


lzCustomLable($wp_customize, 'Sec_abt3rdclor', 'about_area' , 'About Plan Box 3rd Color');

addColorPalatOption($wp_customize, 'about_bx3BG', 'about_area', 'Box 3rd BG Color', '#D82828');

addColorPalatOption($wp_customize, 'about_bx3Brd', 'about_area', 'Box 3rd Border Color', '#D82828');

addColorPalatOption($wp_customize, 'about_bx3icn', 'about_area', 'Box 3rd Icon Color', '#fff');

addColorPalatOption($wp_customize, 'about_bx3icnhv', 'about_area', 'Box 3rd Icon Hover Color', '#000');

addColorPalatOption($wp_customize, 'about_bx3icntitle', 'about_area', 'Box 3rd Icon Title Color', '#fff');

addColorPalatOption($wp_customize, 'about_bx3icntxt', 'about_area', 'Box 3rd Icon Text Color', '#b9b9b9');


lzCustomLable($wp_customize, 'Sec_abt4thclor', 'about_area' , 'About Plan Box 4th Color');

addColorPalatOption($wp_customize, 'about_bx4BG', 'about_area', 'Box 4th BG Color', '#fff');

addColorPalatOption($wp_customize, 'about_bx4Brd', 'about_area', 'Box 4th Border Color', '#9B9A9A');

addColorPalatOption($wp_customize, 'about_bx4icn', 'about_area', 'Box 4th Icon Color', '#D82828');

addColorPalatOption($wp_customize, 'about_bx4icnhv', 'about_area', 'Box 4th Icon Hover Color', '#000');

addColorPalatOption($wp_customize, 'about_bx4icntitle', 'about_area', 'Box 4th Icon Title Color', '#000');

addColorPalatOption($wp_customize, 'about_bx4icntxt', 'about_area', 'Box 4th Icon Text Color', '#707070');

$wp_customize->add_setting(
    'about_title_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_title_heading',
        array(
            'settings'      => 'about_title_heading',
            'section'       => 'about_area',
            'label'         => __( ' Section Right Side', 'luzuk-premium' ),
        )
    )
);    


$wp_customize->add_setting(
    'about_subtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'About Club', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_subtitle',
    array(
        'settings'      => 'about_subtitle',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Sub Title', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_secsubtitle_clr', 'about_area', 'Section Sub Title Color ', '#D82828');


$wp_customize->add_setting(
    'about_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Championships are won at practice.', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_title',
    array(
        'settings'      => 'about_title',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Title', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_sectitle_clr', 'about_area', 'Section Title Color ', '#000');

$wp_customize->add_setting(
    'about_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos.Morbi sodales turpis at pretium vehicula. Quisque vel sapien sodales, congue mi vel, lacinia massa. Fusce ornare, sem vitae sagittis cursus, turpis libero venenatis justo, at mattis ligula lorem vitae enim.', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_text',
    array(
        'settings'      => 'about_text',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Section Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_text', 'about_area', 'Section Text Color', '#9B9A9A');


lzCustomLable($wp_customize, 'Sec_notice', 'about_area' , 'List Box');

$wp_customize->add_setting(
    'nbxlist',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '<li>Morbi varius ut quam a placerat.</li> 
<li>Morbi varius ut quam a placerat.</li> 
<li>Morbi varius ut quam a placerat.</li> ', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'nbxlist',
    array(
        'settings'      => 'nbxlist',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'List Text', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'abtSec_noticeclor', 'about_area' , 'Notice Content Box Color');

addColorPalatOption($wp_customize, 'about_area_nbxicn', 'about_area', 'List Icon Color', '#D82828');

addColorPalatOption($wp_customize, 'about_area_nbxtxt', 'about_area', 'List Text Color', '#000');


lzCustomLable($wp_customize, 'abtSec_btnclr', 'about_area' , 'Section Button');

$wp_customize->add_setting(
    'abtbtn_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'About Me', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'abtbtn_text',
    array(
        'settings'      => 'abtbtn_text',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Button Text ', 'Luzuk' )
    )
);

$wp_customize->add_setting('abtbtnlink',   
    array('default'=> 'Add Link', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('abtbtnlink',
    array(
        'settings'      => 'abtbtnlink',
        'section'       => 'about_area',
        'type'          => 'url',
        'label'         => __( 'Button Link ', 'luzuk-premium' )
    )
);



addColorPalatOption($wp_customize, 'abtdec_btntxtclr', 'about_area', 'Button Text Color', '#000');

addColorPalatOption($wp_customize, 'abtdec_btntxthvclr', 'about_area', 'Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'abtdec_btnBGclr', 'about_area', 'Button BG Color', '#fff');

addColorPalatOption($wp_customize, 'abtdec_btnicnclr', 'about_area', 'Button Icn Color', '#fff');

addColorPalatOption($wp_customize, 'abtdec_btnicnBGclr', 'about_area', 'Button Icon BG Color', '#000');

